/*
	LPS Example

	Crittografia Riflessa

	Language: C99
 	Style: unstructured C
 */

/*
	Lecture L09 Solution
*/

/* 
	Soluzione al problema Crittografia Riflessa.

	Testo del problema e giudice (ovvero sistema di verifica automatica della correttezza)
	sono disponibili a: https://training.olinfo.it/#/task/ois_crittografia/statement
*/

#include <stdio.h>

/* file handlers */
FILE *f_handler;

int main( void ) {

	/* variabili del problema: 
		N è il numero in ingresso
		S è lo speculare di N */
	int N, S;

	/* leggi input */
	f_handler = fopen( "input.txt", "r" );
	fscanf( f_handler, "%d", &N );
	fclose( f_handler );
    
	/* calcola soluzione, ovvero calcolare S */
    /* Soluzione di Alessandro Sablone */
    int X, specX = 0, t;
    X = N;
    while_begin:
        if ( X == 0 ) goto while_end;
        specX *= 10;
        t = X % 10;
        specX += t;
        X /= 10;
        goto while_begin;
    while_end:
    S = specX ;
   
	/* scrivi output */
	f_handler = fopen( "output.txt", "w" );
	fprintf( f_handler, "%d\n", N + S );
	fclose( f_handler );

	return 0;
}
